--AH:ScriptId=1ec1ca5f-3b28-4bfa-9907-1cc038f81a71;2854
ALTER TABLE [PackageIndexingErrors]
	DROP CONSTRAINT [FK__PackageIndexingErrors__Feeds]

ALTER TABLE [DeployablePackages]
	DROP CONSTRAINT [FK__DeployablePackages__Feeds]

ALTER TABLE [Symbols]
	DROP CONSTRAINT [FK__Symbols__Feeds]

ALTER TABLE [FeedLicenseUrls]
	DROP CONSTRAINT [FK__FeedLicenseUrls__Feeds]

ALTER TABLE [FeedAdapters]
	DROP CONSTRAINT [FK__FeedAdapters__Feeds]

ALTER TABLE [Packages]
	DROP CONSTRAINT [FK__Packages__Feeds]

ALTER TABLE [DeploymentSteps]
	DROP CONSTRAINT [FK__DeploymentSteps__Feed_Id]

ALTER TABLE [Privileges]
	DROP CONSTRAINT [FK__Privileges__Feeds]

ALTER TABLE [Connectors]
	DROP CONSTRAINT [FK__Connectors__Feeds]

ALTER TABLE [NpmFeedConnectors]
	DROP CONSTRAINT [FK__NpmFeedConnectors__Feeds]

ALTER TABLE [BowerConnectors]
	DROP CONSTRAINT [FK__BowerConnectors__Feeds]

ALTER TABLE [NpmPackages]
	DROP CONSTRAINT [FK__NpmPackages__NpmFeeds]

ALTER TABLE [BowerPackages]
	DROP CONSTRAINT [FK__BowerPackages__Feeds]

ALTER TABLE [Projects]
	DROP CONSTRAINT [FK__ProjectPackages__Feeds]

ALTER TABLE [Feeds]
	DROP CONSTRAINT [PK__Feeds]

ALTER TABLE [Feeds]
	ADD CONSTRAINT [PK__Feeds]
		PRIMARY KEY CLUSTERED ([Feed_Id])


------------------------------------------------------


ALTER TABLE [Projects]
	ADD CONSTRAINT [FK__ProjectPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [BowerPackages]
	ADD CONSTRAINT [FK__BowerPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [NpmPackages]
	ADD CONSTRAINT [FK__NpmPackages__NpmFeeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [BowerConnectors]
	ADD CONSTRAINT [FK__BowerConnectors__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [NpmFeedConnectors]
	ADD CONSTRAINT [FK__NpmFeedConnectors__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [Connectors]
	ADD CONSTRAINT [FK__Connectors__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [Privileges]
	ADD CONSTRAINT [FK__Privileges__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [DeploymentSteps]
	ADD CONSTRAINT [FK__DeploymentSteps__Feed_Id]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [Packages]
	ADD CONSTRAINT [FK__Packages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [FeedAdapters]
	ADD CONSTRAINT [FK__FeedAdapters__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [FeedLicenseUrls]
	ADD CONSTRAINT [FK__FeedLicenseUrls__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [Symbols]
	ADD CONSTRAINT [FK__Symbols__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [DeployablePackages]
	ADD CONSTRAINT [FK__DeployablePackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])

ALTER TABLE [PackageIndexingErrors]
	ADD CONSTRAINT [FK__PackageIndexingErrors__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])