--AH:ScriptId=45B76618-8B97-46DE-9C95-D7C6108AF95D

--previous version of the changescript could have created it partially
IF OBJECT_ID('[PackageDependents]') IS NOT NULL	DROP TABLE [PackageDependents]
GO

CREATE TABLE [PackageDependents]
(
    [PackageDependent_Id] INT IDENTITY(1,1) NOT NULL,

    [Feed_Id] INT NOT NULL,

    [Package_Name] VARCHAR(200) NOT NULL,
    [Group_Name] VARCHAR(200) NULL,
    [Version_Text] VARCHAR(100) NOT NULL,

    [Dependent_Package_Name] VARCHAR(200) NOT NULL,
    [Dependent_Group_Name] VARCHAR(200) NULL,
    [Dependent_Version_Text] VARCHAR(100) NOT NULL,

    [Notes_Text] NVARCHAR(MAX) NULL,

    CONSTRAINT [PK__PackageDependents]
		PRIMARY KEY ([PackageDependent_Id]),

	CONSTRAINT [FK__PackageDependents__Feeds]
		FOREIGN KEY([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

    CONSTRAINT [UQ_PackageDependents]
		UNIQUE ([Group_Name], [Package_Name], [Version_Text], [Dependent_Group_Name], [Dependent_Package_Name], [Dependent_Version_Text])
)

CREATE INDEX [IX_PackageDependents__PackageIdentifier]
	ON [PackageDependents] ([Feed_Id], [Group_Name], [Package_Name], [Version_Text])
